//----------------------------------------------------//
// Wide Studio Application C++ Source File            //
//            created by Wide Studio source generator //
//----------------------------------------------------//
#include <WScom.h>
#include <WSDappDev.h>

//--- OBJECT includes ---//
#include <WSCmainWindow.h>
#include <WSCvbtn.h>
#include <WSClist.h>

//--- OBJECT instance variable ---//
WSCmainWindow* newwin000;
WSCvbtn* newvbtn_000;
WSClist* newlist_001;
WSCvbtn* newvbtn_002;
WSClist* newlist_003;
WSCvbtn* newvbtn_004;
WSClist* newlist_005;

//--- OBJECT src ---//

WSCbase* _create_win_newwin000(){


  newwin000 = new  WSCmainWindow(NULL,"newwin000");
      newwin000->initialize();
  newwin000->setPropertyV(WSNname,"newwin000");
  newwin000->setPropertyV(WSNtitleString,"title1");
  newwin000->setPropertyV(WSNx,(short)88);
  newwin000->setPropertyV(WSNy,(short)262);
  newwin000->setPropertyV(WSNwidth,(unsigned short)500);
  newwin000->setPropertyV(WSNheight,(unsigned short)400);
  newwin000->setPropertyV(WSNvis,(WSCbool)1);

  newvbtn_000 = new  WSCvbtn(newwin000,"newvbtn_000");
      newvbtn_000->initialize();
  newvbtn_000->setPropertyV(WSNlabelString,"프로시저에 의한 설정");
  newvbtn_000->setPropertyV(WSNfont,(unsigned char)0);
  newvbtn_000->setPropertyV(WSNname,"newvbtn_000");
  newvbtn_000->setPropertyV(WSNvis,(WSCbool)1);
  newvbtn_000->setPropertyV(WSNx,(short)10);
  newvbtn_000->setPropertyV(WSNy,(short)10);
  newvbtn_000->setPropertyV(WSNwidth,(unsigned short)200);
    WSCprocedure* op_newvbtn_000_5 = new WSCprocedure("new_ep",2);
    extern void btnep1(WSCbase*);
    op_newvbtn_000_5->setFunction(btnep1,"btnep1");
    newvbtn_000->addProcedure(op_newvbtn_000_5);

  newlist_001 = new  WSClist(newwin000,"newlist_001");
      newlist_001->initialize();
  newlist_001->setPropertyV(WSNiconPixmap,"$(WSDIR)/sys/pixmaps/bi17.xpm");
  newlist_001->setPropertyV(WSNuseIcon,(WSCbool)1);
  newlist_001->setPropertyV(WSNtitleString,"title2");
  newlist_001->setPropertyV(WSNname,"newlist_001");
  newlist_001->setPropertyV(WSNx,(short)220);
  newlist_001->setPropertyV(WSNy,(short)9);
  newlist_001->setPropertyV(WSNwidth,(unsigned short)270);
  newlist_001->setPropertyV(WSNheight,(unsigned short)120);
  newlist_001->setPropertyV(WSNvis,(WSCbool)1);
  newlist_001->setPropertyV(WSNanchorLeft,(unsigned short)220);
  newlist_001->setPropertyV(WSNanchorRight,(unsigned short)10);
  newlist_001->setPropertyV(WSNanchorLeftFlag,(WSCbool)1);
  newlist_001->setPropertyV(WSNanchorRightFlag,(WSCbool)1);

  newvbtn_002 = new  WSCvbtn(newwin000,"newvbtn_002");
      newvbtn_002->initialize();
  newvbtn_002->setPropertyV(WSNlabelString,"프로퍼티에 의한 설정");
  newvbtn_002->setPropertyV(WSNname,"newvbtn_002");
  newvbtn_002->setPropertyV(WSNvis,(WSCbool)1);
  newvbtn_002->setPropertyV(WSNx,(short)10);
  newvbtn_002->setPropertyV(WSNy,(short)140);
  newvbtn_002->setPropertyV(WSNwidth,(unsigned short)200);
    WSCprocedure* op_newvbtn_002_5 = new WSCprocedure("new_ep",2);
    extern void btnep2(WSCbase*);
    op_newvbtn_002_5->setFunction(btnep2,"btnep2");
    newvbtn_002->addProcedure(op_newvbtn_002_5);

  newlist_003 = new  WSClist(newwin000,"newlist_003");
      newlist_003->initialize();
  newlist_003->setPropertyV(WSNiconPixmap,"$(WSDIR)/sys/pixmaps/bi17.xpm");
  newlist_003->setPropertyV(WSNuseIcon,(WSCbool)1);
  newlist_003->setPropertyV(WSNtitleString,"title2");
  newlist_003->setPropertyV(WSNname,"newlist_003");
  newlist_003->setPropertyV(WSNx,(short)220);
  newlist_003->setPropertyV(WSNy,(short)140);
  newlist_003->setPropertyV(WSNwidth,(unsigned short)270);
  newlist_003->setPropertyV(WSNheight,(unsigned short)120);
  newlist_003->setPropertyV(WSNvis,(WSCbool)1);
  newlist_003->setPropertyV(WSNanchorLeft,(unsigned short)220);
  newlist_003->setPropertyV(WSNanchorRight,(unsigned short)10);
  newlist_003->setPropertyV(WSNanchorLeftFlag,(WSCbool)1);
  newlist_003->setPropertyV(WSNanchorRightFlag,(WSCbool)1);

  newvbtn_004 = new  WSCvbtn(newwin000,"newvbtn_004");
      newvbtn_004->initialize();
  newvbtn_004->setPropertyV(WSNlabelString,"파일으로 부터 설정");
  newvbtn_004->setPropertyV(WSNname,"newvbtn_004");
  newvbtn_004->setPropertyV(WSNvis,(WSCbool)1);
  newvbtn_004->setPropertyV(WSNx,(short)10);
  newvbtn_004->setPropertyV(WSNy,(short)270);
  newvbtn_004->setPropertyV(WSNwidth,(unsigned short)200);
    WSCprocedure* op_newvbtn_004_5 = new WSCprocedure("new_ep",2);
    extern void btnep3(WSCbase*);
    op_newvbtn_004_5->setFunction(btnep3,"btnep3");
    newvbtn_004->addProcedure(op_newvbtn_004_5);

  newlist_005 = new  WSClist(newwin000,"newlist_005");
      newlist_005->initialize();
  newlist_005->setPropertyV(WSNiconPixmap,"$(WSDIR)/sys/pixmaps/bi17.xpm");
  newlist_005->setPropertyV(WSNuseIcon,(WSCbool)1);
  newlist_005->setPropertyV(WSNtitleString,"title2");
  newlist_005->setPropertyV(WSNname,"newlist_005");
  newlist_005->setPropertyV(WSNx,(short)220);
  newlist_005->setPropertyV(WSNy,(short)270);
  newlist_005->setPropertyV(WSNwidth,(unsigned short)270);
  newlist_005->setPropertyV(WSNheight,(unsigned short)120);
  newlist_005->setPropertyV(WSNvis,(WSCbool)1);
  newlist_005->setPropertyV(WSNanchorTop,(unsigned short)270);
  newlist_005->setPropertyV(WSNanchorBottom,(unsigned short)10);
  newlist_005->setPropertyV(WSNanchorLeft,(unsigned short)220);
  newlist_005->setPropertyV(WSNanchorRight,(unsigned short)10);
  newlist_005->setPropertyV(WSNanchorTopFlag,(WSCbool)1);
  newlist_005->setPropertyV(WSNanchorBottomFlag,(WSCbool)1);
  newlist_005->setPropertyV(WSNanchorLeftFlag,(WSCbool)1);
  newlist_005->setPropertyV(WSNanchorRightFlag,(WSCbool)1);

   newwin000->setVisible(True);
   return newwin000;
}

//--- end of src ---//
